## funtools 1.4.4

=== Makefile ===
#
# This file is a Makefile for Funtools.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

PACKAGE = funtools
VERSION = 1.4.4

DISTNAME = funtools-${VERSION}
DISTDIR = ../export/${DISTNAME}
FTPDIR	= ../ftp

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory in which to install the .a or .so binary for the FUNTOOLS library:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the program wish:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the funtools.h include file:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# Top-level directory for manual entries:
MAN_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/man

# Top-level directory for share entries:
MAN_SHARE_DIR =		$(INSTALL_ROOT)$(prefix)/share/funtools

# util files are in the util subdirectory
UTIL_INC =		-I./util
# UTIL_LIBS =		-L./util -lutil

# fitsy files are in the fitsy subdirectory
FITSY_INC =		-I./fitsy
# FITSY_LIBS =		-L./fitsy -lfitsy

# wcs files are in the wcs subdirectory
WCS_INC =		-I./wcs
# WCS_LIBS =		-L./wcs -lwcs

# filter files are in the filter subdirectory
FILTER_INC =        	-I./filter
# FILTER_LIBS =		-L./filter -lfilter

# extra includes for compiling
INCLUDES =		$(UTIL_INC) $(FILTER_INC) $(WCS_INC) $(FITSY_INC)

# extra libs
EXTRA_LIBS =		 -ldl

# the full set of libraries for linking
LIBS = 			$(UTIL_LIBS) $(FILTER_LIBS) $(WCS_LIBS) $(FITSY_LIBS) \
			$(EXTRA_LIBS) -lm

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# whether to set the FPU in double round mode
USE_FPU_DOUBLE =	0

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		

# special definitions for funcalc (based on filter configuration)
FUNCALC_CC =		NULL
FUNCALC_CFLAGS =	\"-O2\"

# if enabled-shared was specified, this will exand to "shlib" and trigger
# building of the shared library
DOSHARED =	
DOMAINLIB =	

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

# which awk-like program do we have?
PRE=			
POST=			|\& cat
AWK =			gawk
PIPEGLUE =		
GUNZIP =		gzip -dcf
GNUPLOT =		gnuplot

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib
EXE =			

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC  =		gcc

CC_SWITCHES =	-I. ${CFLAGS} -DUSE_DL=1 ${INCLUDES} ${AC_FLAGS}

DEPEND_SWITCHES = -I. ${CFLAGS} ${INCLUDES} ${AC_FLAGS}

SRCS =		funcol.c funcopy.c funtab.c funim.c funinfo.c \
		funopen.c funopenp.c funparam.c funtext.c funwcs.c \
		funview.c funutil.c

OBJS =		funcol.o funcopy.o funtab.o funim.o funinfo.o \
		funopen.o funopenp.o funparam.o funtext.o funwcs.o \
		funview.o funutil.o

# these are all the modules going into the "normal" funtools library
LIBOBJS =	${OBJS}

# the default library for this package
DEFLIB =	libfuntools.a

# the actual library we are building (if this is a subpackage)
LIB =		libfuntools.a

# this is used in the link line
# LLIB =	$(LIB)
LLIB =		$(LIB)

# libraries containing main as subroutines
MAINLIB =	lib$(PACKAGE)MainLib.a

PROGS =		funcalc funcen funcnts funcone fundisp funhead funhist \
		funimage funjoin funmerge funsky funtable

MAINLIBOBJS =	funcalc_main.o funcen_main.o funcnts_main.o funcone_main.o \
		fundisp_main.o funhead_main.o funhist_main.o \
		funimage_main.o funmerge_main.o funsky_main.o funtable_main.o \
		funjoin_main.o 

PROGS2 =	_sort

TEMPLATES =	funcnts_plot.tmpl funhist_plot.tmpl funcnts_sed.tmpl \
		funtools_ds9.tmpl funds9.tmpl funtbl.tmpl funindex.tmpl

SCRIPTS =	funcnts.plot funhist.plot funcnts.sed funds9 funtbl funindex

DS9HELPERS =	funtools.ds9

FILES =		funcalc.sed

DEVEL =		

# Subdirectories to run make in for the primary targets.

SUBLIBS =	util fitsy wcs filter

SUBDIRS =	$(SUBLIBS) gnu funtest faq

all:		lib progs progs2 scripts ds9helpers

progs:		$(PROGS)

progs2:		$(PROGS2)

scripts:	$(SCRIPTS)

ds9helpers:	$(DS9HELPERS)

devel:		$(DEVEL)

libutil:	FORCE
		@(echo Making libutil.a in util ...; \
		  cd util; $(MAKE) libutil; mv libutil.a ..)

sublib:		FORCE
		@for dir in $(SUBLIBS); do \
		   echo " "; \
		   echo Making library in $$dir ...; \
		   (cd $$dir; $(MAKE)) ; \
		done

lib:		$(LIB) $(DOMAINLIB) $(DOSHARED)

$(LIB):		sublib $(LIBOBJS)
		ar cruv $(LIB) $(LIBOBJS)
		$(RANLIB) $(LIB)

funmainlib.c:	$(MAINLIBOBJS) mkfunmainlib
		echo $(PROGS) | ./mkfunmainlib > funmainlib.c;

shlib:		sublib $(LIBOBJS)
		@(rm -rf $(PACKAGE)tmp; mkdir $(PACKAGE)tmp; \
		(cd $(PACKAGE)tmp && ar x ../$(LIB)); \
		CC='$(CC)' CXX=$(CXX) \
		./mklib -o $(PACKAGE) $(PACKAGE)tmp/*.o; \
		rm -rf $(PACKAGE)tmp;)

mainlib:	$(MAINLIBOBJS) funmainlib.o lex.calc.o
		@(ar cruv lib$(PACKAGE)MainLib.a \
		$(MAINLIBOBJS) funmainlib.o lex.calc.o; \
		$(RANLIB) lib$(PACKAGE)MainLib.a)

shmainlib:	mainlib
		@(rm -rf $(PACKAGE)tmp; mkdir $(PACKAGE)tmp; \
		(cd $(PACKAGE)tmp && ar x ../lib$(PACKAGE)MainLib.a); \
		CC='$(CC)' CXX='$(CXX)' \
		./mklib -o $(PACKAGE)MainLib -L. -lfuntools $(PACKAGE)tmp/*.o;\
		rm -rf $(PACKAGE)tmp;)

tclfun:		$(LIB) tclmainlib.o tclfun.o
		@(ar cruv libtclfun.a tclmainlib.o tclfun.o; \
		$(RANLIB) libtclfun.a)

shtclfun:	tclfun
		@(rm -rf $(PACKAGE)tmp; mkdir $(PACKAGE)tmp; \
		(cd $(PACKAGE)tmp && ar x ../$(LIB) && ar x ../libtclfun.a); \
		CC='$(CC)' CXX='$(CXX)' \
		./mklib -o tclfun $(PACKAGE)tmp/*.o; \
		rm -rf $(PACKAGE)tmp; \
		test -r pkgIndex.tcl && mv pkgIndex.tcl pkgIndex.tcl-old; \
		SHLIB=libtclfun.so; \
		test -r libtclfun.dylib && SHLIB=libtclfun.dylib; \
		echo "pkg_mkIndex -direct . $${SHLIB}; exit" | tclsh;)

tclfun.c:	FORCE
		echo $(PROGS) | ./mkfunmainlib -tcl > tclfun.c


tclmainlib.o:	util/tclmainlib.c
		$(CC) -c $(CC_SWITCHES) util/tclmainlib.c

funcalc:	funcalc.o lex.calc.o lib
		$(CC) $(LDFLAGS) funcalc.o lex.calc.o -o funcalc \
		$(LLIB) $(LIBS)

funcen:		funcen.o lib
		$(CC) $(LDFLAGS) funcen.o -o funcen $(LLIB) $(LIBS)

funcnts:	funcnts.o lib
		$(CC) $(LDFLAGS) funcnts.o -o funcnts $(LLIB) $(LIBS)

funcone:	funcone.o lib
		$(CC) $(LDFLAGS) funcone.o -o funcone $(LLIB) $(LIBS)

fundisp:	fundisp.o lib
		$(CC) $(LDFLAGS) fundisp.o -o fundisp $(LLIB) $(LIBS)

funhist:	funhist.o lib
		$(CC) $(LDFLAGS) funhist.o -o funhist $(LLIB) $(LIBS)

funhead:	funhead.o lib
		$(CC) $(LDFLAGS) funhead.o -o funhead $(LLIB) $(LIBS)

funimage:	funimage.o lib
		$(CC) $(LDFLAGS) funimage.o -o funimage $(LLIB) $(LIBS)

funjoin:	funjoin.o lib
		$(CC) $(LDFLAGS) funjoin.o -o funjoin $(LLIB) $(LIBS)

funmerge:	funmerge.o lib
		$(CC) $(LDFLAGS) funmerge.o -o funmerge $(LLIB) $(LIBS)

funsky:	funsky.o lib
		$(CC) $(LDFLAGS) funsky.o -o funsky $(LLIB) $(LIBS)

funtable:	funtable.o lib
		$(CC) $(LDFLAGS) funtable.o -o funtable $(LLIB) $(LIBS)

_sort:		FORCE
		@(echo " "; echo "Making in gnu ..."; cd gnu; $(MAKE))

funcalc_main.o:	funcalc.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funcalc_main" \
		-o funcalc_main.o funcalc.c
funcen_main.o:	funcen.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funcen_main" \
		-o funcen_main.o funcen.c

funcnts_main.o:	funcnts.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funcnts_main" \
		-o funcnts_main.o funcnts.c
funcone_main.o:	funcone.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funcone_main" \
		-o funcone_main.o funcone.c
fundisp_main.o:	fundisp.c
		$(CC) -c $(CC_SWITCHES) -Dmain="fundisp_main" \
		-o fundisp_main.o fundisp.c
funhist_main.o:	funhist.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funhist_main" \
		-o funhist_main.o funhist.c
funhead_main.o:	funhead.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funhead_main" \
		-o funhead_main.o funhead.c
funimage_main.o:	funimage.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funimage_main" \
		-o funimage_main.o funimage.c
funjoin_main.o:	funjoin.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funjoin_main" \
		-o funjoin_main.o funjoin.c
funmerge_main.o:	funmerge.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funmerge_main" \
		-o funmerge_main.o funmerge.c
funsky_main.o:	funsky.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funsky_main" \
		-o funsky_main.o funsky.c

funtable_main.o:	funtable.c
		$(CC) -c $(CC_SWITCHES) -Dmain="funtable_main" \
		-o funtable_main.o funtable.c

funcnts.plot:	funcnts_plot.tmpl
		sed -e 's#AWK#$(AWK)#g' funcnts_plot.tmpl > funcnts.plot
		chmod +x funcnts.plot

funhist.plot:	funhist_plot.tmpl
		sed -e 's#AWK#$(AWK)#g' funhist_plot.tmpl > funhist.plot
		chmod +x funhist.plot

funds9:		funds9.tmpl
		sed -e 's#AWK#$(AWK)#g;s#GNUPLOT#$(GNUPLOT)#g' funds9.tmpl > funds9
		chmod +x funds9

funtbl:		funtbl.tmpl
		sed -e 's#AWK#$(AWK)#g;' funtbl.tmpl > funtbl
		chmod +x funtbl

funindex:	funindex.tmpl
		cp -p funindex.tmpl funindex
		chmod +x funindex

funcnts.sed:	funcnts_sed.tmpl
		cp funcnts_sed.tmpl funcnts.sed
		chmod +x funcnts.sed

funtools.ds9:	funtools_ds9.tmpl
		sed -e 's#PRE#$(PRE)#g;s#POST#$(POST)#g;s#GUNZIP#$(GUNZIP)#g' funtools_ds9.tmpl > funtools.ds9

diff:
		@-(for file in "`ls *.c`";				\
		    do							\
			echo $$file;					\
			diff /soft/saord/funtools-*/$$file .;	\
		    done;)

install::	install-binaries

install::	$(DOSHARED)_install

install::
		@for dir in $(SUBDIRS); do \
		   echo " "; \
		   echo Installing in $$dir ...; \
		   (cd $$dir; $(MAKE) $@) ; \
		done

install::	install-man

install::	install-share

install::	install-data

FORCE:

# Note: before running ranlib below, must cd to target directory because
# some ranlibs write to current directory, and this might not always be
# possible (e.g. if installing as root).

# this nop-op gets executed if we are not building shared libraries
_install:

shlib_install:
	@-(for i in `ls *.so* *.dylib *.sl 2>/dev/null` ; \
	   do \
	   if [ -h $$i ] ; then \
		echo "Installing link $$i" ; \
		tar cf - $$i | (cd $(LIB_INSTALL_DIR); tar xf -) ; \
	   else \
		echo "Installing $$i" ; \
		$(INSTALL_DATA) $$i $(LIB_INSTALL_DIR)/$$i ; \
		chmod 555 $(LIB_INSTALL_DIR)/$$i; \
	   fi; \
	   done;)

install-binaries: lib $(PROGS) $(SCRIPTS) $(DS9HELPERS)

=== faq/Makefile ===
#
# This is a Makefile for the Funtools testing. If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# extra includes for compiling
INCLUDES = -I. -I$(prefix)/include

# extra libs
EXTRA_LIBS	=  -ldl

# the full set of libraries for linking
LIBS	= -L.. -lfuntools $(EXTRA_LIBS) -lm

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib

# web site for installation
WEBDIR =	/proj/rd/www/funtools

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC =		gcc

CC_SWITCHES =	${CFLAGS} ${INCLUDES} ${AC_FLAGS}

DEPEND_SWITCHES = ${CFLAGS} ${INCLUDES} ${AC_FLAGS}

PROGS =		tev tim

all:		$(PROGS)

tev:		tev.o
		$(CC) $(LDFLAGS) tev.o -o tev $(LIBS)

tim:		tim.o
		$(CC) $(LDFLAGS) tim.o -o tim $(LIBS)

Makefile:	Makefile.in
		$(SHELL) config.status

RM = 		rm -f

clean:
		$(RM) *.a *.so *.o *.exe core errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			*fun*.out doc/*~ 
		$(RM) -r autom4te.cache

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

install:
		@echo "Nothing to install in faq"

www:
		-@( if [ -d ${WEBDIR} ]; then \
			  echo "installing in Web site: ${WEBDIR}"; \
			  mkdir -p ${WEBDIR}/faq; \
			  cp -p *.html ${WEBDIR}/faq/.; \
		    else \
			  echo "Web site not available for install"; \
		    fi;)

pclean:
		$(RM) $(PROGS)

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

evread.o:	evread.c
		$(CC) -c $(CC_SWITCHES) evread.c

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== filter/Makefile ===
#
# This file is a Makefile for Filter.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

# Current FILT version;  used in various names.
PACKAGE = filter
VERSION = 1.1

DISTNAME = filter-${VERSION}
DISTDIR = ../export/${DISTNAME}
FTPDIR	= ../ftp

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory in which to install the .a, .so, and .o files:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the programs:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include files:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# util files are in the util directory at same level
UTIL_INC =		-I../util
#UTIL_LIBS =		-L../util -lutil

# fitsy files are in the fitsy directory at same level
FITSY_INC =		-I../fitsy
#FITSY_LIBS =		-L../fitsy

# wcs files are in the wcs subdirectory
WCS_INC =		-I../wcs
#WCS_LIBS =		-L../wcs -lwcs

# extra includes for compiling
INCLUDES =		$(UTIL_INC) $(FITSY_INC) $(WCS_INC) 

# extra libs
EXTRA_LIBS =		-L.. -lfuntools  -ldl

# the full set of libraries for linking
LIBS =			$(WCS_LIBS) $(FITSY_LIBS) $(EXTRA_LIBS) -lm 

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# whether to set the FPU in double round mode
FPU_DOUBLE =		0

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		

# special definitions for filtering
OBJPATH	=		\"$(LIB_INSTALL_DIR):.\"
FILTER_CC =		NULL
FILTER_CFLAGS =		\"-O2\"

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC =		gcc

CC_SWITCHES =	-I. ${CFLAGS} -DFILT_VERSION="\"$(VERSION)\"" -DUSE_DL=1 \
		${INCLUDES} ${AC_FLAGS}

DEPEND_SWITCHES = -I. ${CFLAGS} -I. ${INCLUDES} ${AC_FLAGS}

SRCS =		evregions.c filter.c filtprog.c filtprog_c.c \
		imregions.c symbols.c lex.filt.c column.c dl.c tl.c \
		lex.idx.c idx.tab.c idxacts.c

OBJS =		evregions.o filter.o filtprog.o filtprog_c.o \
		imregions.o symbols.o lex.filt.o column.o dl.o tl.o \
		lex.idx.o idx.tab.o idxacts.o

# these are all the modules going into the "normal" filt library
LIBOBJS =	${OBJS}

# the default library for this package
DEFLIB =	libfilter.a
# the actual library we are building (if this is a subpackage)
LIB =		/proj/rd/eric/funtools-1.4.4/libfuntools.a

TESTPROGS =	tfilt

all:		$(LIB) $(PROGS)

testall:	$(TESTPROGS)

All:		all testall

install:	install-binaries

$(LIB):		$(LIBOBJS)
		ar cruv $(LIB) $(LIBOBJS)
		$(RANLIB) $(LIB)

tfilt:		$(LIB) tfilt.o
		$(CC) $(LDFLAGS) tfilt.o -o tfilt $(LIB) ${LIBS}

# Note: before running ranlib below, must cd to target directory because
# some ranlibs write to current directory, and this might not always be
# possible (e.g. if installing as root).

install-binaries: $(LIB) $(PROGS)
	@for i in $(LIB_INSTALL_DIR) $(INCLUDE_INSTALL_DIR) $(BIN_INSTALL_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@if [ "$(LIB)" = "$(DEFLIB)" ] ; then \
	    XLIB=`basename $(LIB)`; \
	    echo "Installing $$XLIB"; \
	    $(INSTALL_DATA) $$XLIB $(LIB_INSTALL_DIR)/$$XLIB; \
	    (cd $(LIB_INSTALL_DIR); $(RANLIB) $$XLIB); \
	    chmod 555 $(LIB_INSTALL_DIR)/$$XLIB; \
        fi;
#	@for i in imregions.o evregions.o ; \
#	    do \
#		if [ -f $$i ] ; then \
#		  echo "Installing $$i" ; \
#		  $(INSTALL_DATA) $$i $(LIB_INSTALL_DIR)/$$i ; \
#		fi; \
#	    done;
	@for i in filter.h column.h dl.h tl.h idx.h; \
	    do \
		if [ -f $$i ] ; then \
		  echo "Installing $$i" ; \
		  $(INSTALL_DATA) $$i $(INCLUDE_INSTALL_DIR)/$$i ; \
		fi; \
	    done;

Makefile:	Makefile.in
		$(SHELL) config.status

RM = 		rm -f

clean:
		$(RM) *.a *.so *.o *.exe core errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			doc/*~
		$(RM) -r autom4te.cache

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

.c.o:
		$(CC) -c $(CC_SWITCHES) $<

filtprog_c.o:	filtprog_c.c regions_h.h xalloc_c.h swap_c.h \
		events_c.h image_c.h evregions_c.h imregions_c.h filter.h
		$(CC) -c $(CC_SWITCHES) -DOBJPATH="$(OBJPATH)" \
		-DFILTER_CC="$(FILTER_CC)" -DFILTER_CFLAGS="$(FILTER_CFLAGS)" \
		filtprog_c.c

# header and source include files for program generation
regions_h.h:	regions.h inc.sed
		$(RM) regions_h.h
		./inc.sed REGIONS_H < regions.h > regions_h.h

xalloc_c.h:	../util/xalloc.c inc.sed
		$(RM) xalloc_c.h
		./inc.sed XALLOC_C < ../util/xalloc.c > xalloc_c.h

swap_c.h:	swap.c inc.sed
		$(RM) swap_c.h
		./inc.sed SWAP_C < swap.c > swap_c.h

events_c.h:	evfilter.c inc.sed
		$(RM) events_c.h
		./inc.sed EVENTS_C < evfilter.c > events_c.h

image_c.h:	imfilter.c inc.sed
		$(RM) image_c.h
		./inc.sed IMAGE_C < imfilter.c > image_c.h

evregions.c:	evregions_c.tmpl Makefile
		$(RM) evregions.c
		sed 's/_FPUDBL_/$(FPU_DOUBLE)/' < evregions_c.tmpl > evregions.c

imregions.c:	imregions_c.tmpl Makefile
		$(RM) imregions.c
		sed 's/_FPUDBL_/$(FPU_DOUBLE)/' < imregions_c.tmpl > imregions.c

evregions_c.h:	evregions.c inc.sed
		$(RM) evregions_c.h
		./inc.sed EVREGIONS_C < evregions.c > evregions_c.h

imregions_c.h:	imregions.c inc.sed
		$(RM) imregions_c.h
		./inc.sed IMREGIONS_C < imregions.c > imregions_c.h

headers:	regions_h.h xalloc_c.h swap_c.h \
		events_c.h image_c.h evregions_c.h imregions_c.h

# remake the parser
LEX =		flex -i
parser:		filt.l
		@($(LEX) -Pfilt filt.l; \
		sed "s/yytext_ptr/filttext_ptr/g" < lex.filt.c > nlex.filt.c; \
		mv nlex.filt.c lex.filt.c)

iparser:	idx.l
		@($(LEX) -Pidx idx.l; \
		sed "s/yytext_ptr/idxtext_ptr/g" < lex.idx.c > nlex.idx.c; \
		mv nlex.idx.c lex.idx.c)

YACC =		bison -d -v
igrammar:	idx.y
		$(YACC) -p idx idx.y

pure:		tfilt.pure

tfilt.pure:	$(FILDLIB) tfilt.o
		purify $(CC) $(LDFLAGS) tfilt.o -o tfilt.pure \
		$(LIB) $(LIBS)

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== fitsy/Makefile ===
# Makefile for library files used by GNU text utilities.
# Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

SHELL = /bin/sh

srcdir = .


# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory in which to install the .a, .so, and .o files:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the programs:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include files:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

CC = gcc
#CC = gcc -fPIC -Wall -Wno-comment
#CC = gcc -fbounds-checking -DBOUNDS_CHECKING
AR = ar
RANLIB = ranlib
#DEFS = -DCONFIG_BROKETS -DHAVE_CONFIG_H
DEFS = -DHAVE_CONFIG_H
#CFLAGS = -g
# CFLAGS = -g -W -Wall -Wno-implicit-int -fPIC
#CFLAGS = -ansi -pedantic -Wimplicit -Wreturn-type -Wunused -Wformat -Wuninitialized -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wconversion -Waggregate-return -Werror
CFLAGS = -g -W -Wall -Wno-implicit-int -fPIC
LDFLAGS = -g -rdynamic
YACC = @YACC@

# extra libs
EXTRA_LIBS	=  -ldl

# extra objs (usually set to $ZOBJS)
EXTRA_OBJS	= 

# the full set of libraries for linking
LIBS	= $(EXTRA_LIBS)

OBJECTS=cardpar.o	\
	cardfmt.o	\
	cardins.o	\
	cardfind.o	\
	headget.o	\
	headset.o	\
	headins.o	\
	headinit.o	\
	headdata.o	\
	headfind.o	\
	headfile.o	\
	headimage.o	\
	headtable.o	\
	headsimple.o	\
	headwcs.o	\
	inverse.o	\
	dataimage.o	\
	fitshead.o	\
	fitsimage.o	\
	ftacht.o	\
	ftacht2.o	\
	nd.o		\
	tableheader.o	\
	$(EXTRA_OBJS)

# comment this out to use default defintions for stand-alone compile
XFILE =	-DUSE_XFILEIO=1  -I../util

INCL =	$(XFILE) -I$(srcdir)

# the default library for this package
DEFLIB =	libfitsy.a
# the actual library we are building (if this is a subpackage)
LIB =	/proj/rd/eric/funtools-1.4.4/libfuntools.a

all:	$(LIB)

progs:	$(PROGS)

All:	$(LIB) $(PROGS)

.c.o:
	$(CC) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) $<

$(LIB):	$(OBJECTS)
	$(AR) cruv $@ $(OBJECTS)
	$(RANLIB) $@

objects:$(OBJECTS)

fitsy:	Force
	$(MAKE) clean
	$(MAKE) objects XFILE=""
	$(MAKE) libfitsy.a

libfitsy.a : Force
	$(AR) cruv $@ $(OBJECTS)
	$(RANLIB) $@


# these are the zlib routines:
adler32.o:	$(ZDIR)/adler32.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/adler32.c
compress.o:	$(ZDIR)/compress.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/compress.c
crc32.o:	$(ZDIR)/crc32.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/crc32.c
gzio.o:		$(ZDIR)/gzio.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/gzio.c
uncompr.o:	$(ZDIR)/uncompr.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/uncompr.c
deflate.o:	$(ZDIR)/deflate.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/deflate.c
trees.o:	$(ZDIR)/trees.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/trees.c
zutil.o:	$(ZDIR)/zutil.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/zutil.c
inflate.o:	$(ZDIR)/inflate.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/inflate.c
infblock.o:	$(ZDIR)/infblock.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/infblock.c
inftrees.o:	$(ZDIR)/inftrees.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/inftrees.c
infcodes.o:	$(ZDIR)/infcodes.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/infcodes.c
infutil.o:	$(ZDIR)/infutil.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/infutil.c
inffast.o:	$(ZDIR)/inffast.c
		$(CC) -I$(ZDIR) -c $(CPPFLAGS) $(DEFS) $(INCL) $(CFLAGS) \
		$(ZDIR)/inffast.c

install: install-binaries

install-binaries: $(LIB)
	@for i in $(LIB_INSTALL_DIR) $(INCLUDE_INSTALL_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@if [ "$(LIB)" = "$(DEFLIB)" ] ; then \
	    XLIB=`basename $(LIB)`; \
	    echo "Installing $$XLIB"; \
	    $(INSTALL_DATA) $$XLIB $(LIB_INSTALL_DIR)/$$XLIB; \
	    (cd $(LIB_INSTALL_DIR); $(RANLIB) $$XLIB); \
	    chmod 555 $(LIB_INSTALL_DIR)/$$XLIB; \
        fi;
	@echo "Installing fitsy.h"
	@$(INSTALL_DATA) fitsy.h $(INCLUDE_INSTALL_DIR)/fitsy.h
	@echo "Installing xfile.h"
	@$(INSTALL_DATA) xfile.h $(INCLUDE_INSTALL_DIR)/xfile.h
#	@for i in $(PROGS) ; \
#	    do \
#		if [ -f $$i ] ; then \
#		    echo "Installing $$i" ; \
#		    $(INSTALL_PROGRAM) $$i $(BIN_INSTALL_DIR)/$$i ; \
#		fi; \
#	    done;

uninstall:

TAGS: $(SOURCES)
	etags $(SOURCES)

check:

RM =	rm -f

clean:
	$(RM) *.a *.so *.o *.exe core errs *pure* .nfs* \
	foo* *~ *.log \#* TAGS *.E a.out errors \
	$(ZDIR)/*.o \
	$(PROGS) $(TESTPROGS) \
	gmon.out *.pg *.bak \
	config.info config.log \
	doc/*~
	$(RM) -r autom4te.cache

mostlyclean: clean

distclean: clean
	$(RM) Makefile config.cache config.status config.log

realclean: distclean
	$(RM) TAGS

=== funtest/Makefile ===
#
# This is a Makefile for the Funtools testing. If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# extra includes for compiling
INCLUDES = -I. -I$(prefix)/include

# extra libs
EXTRA_LIBS	=  -ldl

# the full set of libraries for linking
LIBS	= -L.. -lfuntools $(EXTRA_LIBS) -lm

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC =		gcc

CC_SWITCHES =	${CFLAGS} ${INCLUDES} ${AC_FLAGS}

DEPEND_SWITCHES = ${CFLAGS} ${INCLUDES} ${AC_FLAGS}

SRCS =		evread.c evreplace.c evmerge.c evmerge2.c evcol.c evnext.c \
		evcre.c imblank.c imtest.c wtest.c evtest.c mkev.c filt.c  \
		asc2fits.c bigfits.c

OBJS =		evread.o evreplace.o evmerge.o evmerge2.o evcol.o evnext.o \
		evcre.o imblank.o imtest.o wtest.o evtest.o mkev.o filt.o  \
		asc2fits.o bigfits.o

PROGS =		evread evreplace evmerge evmerge2 evcol evnext evcre \
		imblank imtest wtest evtest mkev filt asc2fits bigfits

all:		$(PROGS)

evread:		evread.o
		$(CC) $(LDFLAGS) evread.o -o evread $(LIBS)

evreplace:	evreplace.o
		$(CC) $(LDFLAGS) evreplace.o -o evreplace $(LIBS)

evmerge:	evmerge.o
		$(CC) $(LDFLAGS) evmerge.o -o evmerge $(LIBS)

evmerge2:	evmerge2.o
		$(CC) $(LDFLAGS) evmerge2.o -o evmerge2 $(LIBS)

evcol:		evcol.o
		$(CC) $(LDFLAGS) evcol.o -o evcol $(LIBS)

evnext:		evnext.o
		$(CC) $(LDFLAGS) evnext.o -o evnext $(LIBS)

evcre:		evcre.o
		$(CC) $(LDFLAGS) evcre.o -o evcre $(LIBS)

imblank:	imblank.o
		$(CC) $(LDFLAGS) imblank.o -o imblank $(LIBS)

imtest:		imtest.o
		$(CC) $(LDFLAGS) imtest.o -o imtest $(LIBS)

wtest:		wtest.o
		$(CC) $(LDFLAGS) wtest.o -o wtest $(LIBS)

evtest:		evtest.o
		$(CC) $(LDFLAGS) evtest.o -o evtest $(LIBS)

mkev:		mkev.o
		$(CC) $(LDFLAGS) mkev.o -o mkev $(LIBS)

filt:		filt.o
		$(CC) $(LDFLAGS) filt.o -o filt $(LIBS)

asc2fits:	asc2fits.o
		$(CC) $(LDFLAGS) asc2fits.o -o asc2fits $(LIBS)

bigfits:	bigfits.o
		$(CC) $(LDFLAGS) bigfits.o -o bigfits $(LIBS)

Makefile:	Makefile.in
		$(SHELL) ../config.status

RM = 		rm -f

clean:
		$(RM) *.a *.so *.o *.exe core errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			*fun*.out doc/*~ 
		$(RM) -r autom4te.cache

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

install:
		@echo "Nothing to install in funtest"

pclean:
		$(RM) $(PROGS)

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

evread.o:	evread.c
		$(CC) -c $(CC_SWITCHES) evread.c

evreplace.o:	evreplace.c
		$(CC) -c $(CC_SWITCHES) evreplace.c

evmerge.o:	evmerge.c
		$(CC) -c $(CC_SWITCHES) evmerge.c

evmerge2.o:	evmerge2.c
		$(CC) -c $(CC_SWITCHES) evmerge2.c

evcol.o:	evcol.c
		$(CC) -c $(CC_SWITCHES) evcol.c

evnext.o:	evnext.c
		$(CC) -c $(CC_SWITCHES) evnext.c

evcre.o:	evcre.c
		$(CC) -c $(CC_SWITCHES) evcre.c

imblank.o:	imblank.c
		$(CC) -c $(CC_SWITCHES) imblank.c

imtest.o:	imtest.c
		$(CC) -c $(CC_SWITCHES) imtest.c

wtest.o:	wtest.c
		$(CC) -c $(CC_SWITCHES) wtest.c

evtest.o:	evtest.c
		$(CC) -c $(CC_SWITCHES) evtest.c

mkev.o:		mkev.c
		$(CC) -c $(CC_SWITCHES) mkev.c

filt.o:		filt.c
		$(CC) -c $(CC_SWITCHES) filt.c

asc2fits.o:	asc2fits.c
		$(CC) -c $(CC_SWITCHES) asc2fits.c

bigfits.o:	bigfits.c
		$(CC) -c $(CC_SWITCHES) bigfits.c

pure:		evread.pure evreplace.pure evmerge.pure evmerge2.pure \
		evcol.pure evnext.pure evcre.pure \
		imblank.pure imtest.pure wtest.pure filt.pure \
		evtest.pure asc2fits.pure bigfits.pure

evread.pure:	$(FUNLIB) evread.o
		purify $(CC) $(LDFLAGS) evread.o -o evread.pure \
		$(FUNLIB) $(LIBS)

evreplace.pure:	$(FUNLIB) evreplace.o
		purify $(CC) $(LDFLAGS) evreplace.o -o evreplace.pure \
		$(FUNLIB) $(LIBS)

evmerge.pure:	$(FUNLIB) evmerge.o
		purify $(CC) $(LDFLAGS) evmerge.o -o evmerge.pure \
		$(FUNLIB) $(LIBS)

evmerge2.pure:	$(FUNLIB) evmerge2.o
		purify $(CC) $(LDFLAGS) evmerge2.o -o evmerge2.pure \
		$(FUNLIB) $(LIBS)

evcol.pure:	$(FUNLIB) evcol.o
		purify $(CC) $(LDFLAGS) evcol.o -o evcol.pure \
		$(FUNLIB) $(LIBS)

evnext.pure:	$(FUNLIB) evnext.o
		purify $(CC) $(LDFLAGS) evnext.o -o evnext.pure \
		$(FUNLIB) $(LIBS)

evcre.pure:	$(FUNLIB) evcre.o
		purify $(CC) $(LDFLAGS) evcre.o -o evcre.pure \
		$(FUNLIB) $(LIBS)

imblank.pure:	$(FUNLIB) imblank.o
		purify $(CC) $(LDFLAGS) imblank.o -o imblank.pure \
		$(FUNLIB) $(LIBS)

imtest.pure:	$(FUNLIB) imtest.o
		purify $(CC) $(LDFLAGS) imtest.o -o imtest.pure \
		$(FUNLIB) $(LIBS)

wtest.pure:	$(FUNLIB) wtest.o
		purify $(CC) $(LDFLAGS) wtest.o -o wtest.pure \
		$(FUNLIB) $(LIBS)

filt.pure:	$(FUNLIB) filt.o
		purify $(CC) $(LDFLAGS) filt.o -o filt.pure \
		$(FUNLIB) $(LIBS)

evtest.pure:	$(FUNLIB) evtest.o
		purify $(CC) $(LDFLAGS) evtest.o -o evtest.pure \
		$(FUNLIB) $(LIBS)

asc2fits.pure:	$(FUNLIB) asc2fits.o
		purify $(CC) $(LDFLAGS) asc2fits.o -o asc2fits.pure \
		$(FUNLIB) $(LIBS)

bigfits.pure:	$(FUNLIB) bigfits.o
		purify $(CC) $(LDFLAGS) bigfits.o -o bigfits.pure \
		$(FUNLIB) $(LIBS)

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== gnu/Makefile ===
#
# This is a Makefile for the gnu binary sort. If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# extra includes for compiling
INCLUDES = -I. -I$(prefix)/include

# extra libs
EXTRA_LIBS	=  -ldl

# the full set of libraries for linking
LIBS	=

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC -DSAOMOD_BINARY

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		

# Directory in which to install the .a, .so, and .o files:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the programs:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include files:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib
EXE =			

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC =		gcc

CC_SWITCHES =	${CFLAGS} ${INCLUDES} ${AC_FLAGS}

DEPEND_SWITCHES = ${CFLAGS} ${INCLUDES} ${AC_FLAGS}

SRCS =		sort.c

OBJS =		sort.o

PROGS =		_funsort

TESTPROGS =	sorttest

all:		$(PROGS)

_funsort:	$(OBJS)
		$(CC) $(LDFLAGS) $(OBJS) -o _funsort

sorttest:	sorttest.o
		$(CC) $(LDFLAGS) sorttest.o -o sorttest -L.. -lfuntools

Makefile:	Makefile.in
		$(SHELL) config.status

RM = 		rm -f

clean:
		$(RM) *.a *.so *.o *.exe core errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			*fun*.out doc/*~ 
		$(RM) -r autom4te.cache

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

pclean:
		$(RM) $(PROGS)

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

sort.o:		sort.c
		$(CC) -c $(CC_SWITCHES) sort.c

install:	$(PROGS)
		@for i in $(PROGS) ; \
		  do \
		  echo "Installing $$i$(EXE)" ; \
		  $(INSTALL_PROGRAM) $$i$(EXE) $(BIN_INSTALL_DIR)/$$i$(EXE) ; \
		  done;


pure:		_funsort.pure

_funsort.pure:	$(FUNLIB) sort.o
		purify $(CC) $(LDFLAGS) sort.o -o _funsort.pure \
		$(FUNLIB) $(LIBS)

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== util/Makefile ===
#
# This file is a Makefile for Util.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

# Current version;  used in various names.
PACKAGE = util
VERSION = 1.0

DISTNAME = util-${VERSION}
DISTDIR = ../export/${DISTNAME}
FTPDIR	= ../ftp

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory in which to install the .a, .so, and .o files:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the programs:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include files:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# extra includes for compiling
INCLUDES =

# extra libs
EXTRA_LIBS	=  -ldl

# zlib directory
ZDIR	= ./zlib-1.2.3
ZOBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infback.o inftrees.o inffast.o

# zlib 1.1.4
# ZOBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
#       zutil.o inflate.o infblock.o inftrees.o infcodes.o infutil.o inffast.o

# the full set of libraries for linking
LIBS	= -lm

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		$(ZOBJS)

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

OBJPATH	=		\"$(LIB_INSTALL_DIR):.\"

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC =		gcc

CC_SWITCHES =	-I. ${CFLAGS} -DUSE_DL=1 ${INCLUDES} ${AC_FLAGS}

DEPEND_SWITCHES = -I. ${CFLAGS} ${INCLUDES} ${AC_FLAGS}

SRCS =		file.c find.c gio.c xlaunch.c \
		macro.c mainlib.c mkrtemp.c nan.c parse.c \
		strtod.c swap.c word.c winprocess.c xalloc.c zprocess.c 

OBJS =		file.o find.o gio.o xlaunch.o \
		macro.o mainlib.o mkrtemp.o nan.o parse.o \
		strtod.o swap.o word.o  winprocess.o xalloc.o zprocess.o \
		$(EXTRA_OBJS)


# these are all the modules going into the "normal" filt library
LIBOBJS =	${OBJS}

# the default library for this package
DEFLIB =	libutil.a
# the actual library we are building (if this is a subpackage)
LIB =		/proj/rd/eric/funtools-1.4.4/libfuntools.a

TESTPROGS =	tparse tlaunch tlaunch2

PROGS =		gcat

all:		$(LIB) $(PROGS)

testall:	$(TESTPROGS)

All:		all testall

install:	install-binaries

$(LIB):		$(LIBOBJS)
		ar cruv $(LIB) $(LIBOBJS)
		$(RANLIB) $(LIB)

libutil:	$(LIBOBJS)
		ar cruv libutil.a $(LIBOBJS)
		$(RANLIB) libutil.a

# these are the zlib routines:
adler32.o:	$(ZDIR)/adler32.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/adler32.c
compress.o:	$(ZDIR)/compress.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/compress.c
crc32.o:	$(ZDIR)/crc32.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/crc32.c
gzio.o:		$(ZDIR)/gzio.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/gzio.c
uncompr.o:	$(ZDIR)/uncompr.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/uncompr.c
deflate.o:	$(ZDIR)/deflate.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/deflate.c
trees.o:	$(ZDIR)/trees.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/trees.c
zutil.o:	$(ZDIR)/zutil.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/zutil.c
inflate.o:	$(ZDIR)/inflate.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/inflate.c
infblock.o:	$(ZDIR)/infblock.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/infblock.c
inftrees.o:	$(ZDIR)/inftrees.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/inftrees.c
infback.o:	$(ZDIR)/infback.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/infback.c
inffast.o:	$(ZDIR)/inffast.c
		$(CC) -I$(ZDIR) -c $(CFLAGS) $(ZDIR)/inffast.c

gio.o:		gio.c gio.h
		$(CC) -c $(CC_SWITCHES) -I$(ZDIR) gio.c

gcat.o:		gcat.c gio.h

gcat:		gcat.o $(LIB)
		$(CC) $(LDFLAGS) gcat.o -o gcat $(LIB) $(LIBS) $(EXTRA_LIBS)

tparse.o:	tparse.c

tparse:		tparse.o parse.o $(LIB)
		$(CC) $(LDFLAGS) tparse.o parse.o -o tparse $(LIB) $(LIBS) \
		$(EXTRA_LIBS)

tlaunch.o:	tlaunch.c

tlaunch:	tlaunch.o xlaunch.o $(LIB)
		$(CC) $(LDFLAGS) tlaunch.o xlaunch.o -o tlaunch $(LIB) $(LIBS) \
		$(EXTRA_LIBS)

tlaunch2.o:	tlaunch2.c

tlaunch2:	tlaunch2.o
		$(CC) $(LDFLAGS) tlaunch2.o -o tlaunch2

install-binaries: $(LIB) $(PROGS)
	@for i in $(LIB_INSTALL_DIR) $(INCLUDE_INSTALL_DIR) $(BIN_INSTALL_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@for i in $(PROGS) ; \
	  do \
	  echo "Installing $$i$(EXE)" ; \
	  $(INSTALL_PROGRAM) $$i$(EXE) $(BIN_INSTALL_DIR)/$$i$(EXE) ; \
	  done;
	@if [ "$(LIB)" = "$(DEFLIB)" ] ; then \
	    XLIB=`basename $(LIB)`; \
	    echo "Installing $$XLIB"; \
	    $(INSTALL_DATA) $$XLIB $(LIB_INSTALL_DIR)/$$XLIB; \
	    (cd $(LIB_INSTALL_DIR); $(RANLIB) $$XLIB); \
	    chmod 555 $(LIB_INSTALL_DIR)/$$XLIB; \
        fi;
	@for i in imregions.o evregions.o ; \
	    do \
		if [ -f $$i ] ; then \
		  echo "Installing $$i" ; \
		  $(INSTALL_DATA) $$i $(LIB_INSTALL_DIR)/$$i ; \
		fi; \
	    done;
	@for i in NaN.h conf.h file.h find.h gio.h xlaunch.h longlong.h \
	macro.h mainlib.h tclmainlib.h mkrtemp.h parse.h prsetup.h \
	xalloc.h strtod.h swap.h word.h xport.h winprocess.h xfileio.h \
	zprocess.h; \
	    do \
		if [ -f $$i ] ; then \
		  echo "Installing $$i" ; \
		  $(INSTALL_DATA) $$i $(INCLUDE_INSTALL_DIR)/$$i ; \
		fi; \
	    done;

Makefile:	Makefile.in
		$(SHELL) config.status

RM = 		rm -f

clean:
		$(RM) *.a *.so *.o *.exe core errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			doc/*~
		$(RM) -r autom4te.cache

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)

.c.o:
		$(CC) -c $(CC_SWITCHES) $<

configure:	configure.in
		autoconf configure.in

pure:		tlaunch.pure

tlaunch.pure:	tlaunch.o xlaunch.o $(LIB)
		purift $(CC) $(LDFLAGS) tlaunch.o xlaunch.o -o tlaunch \
		$(LIB) $(LIBS) $(EXTRA_LIBS)

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== wcs/Makefile ===
#
# This file is a Makefile for wcssubs.  If it has the name "Makefile.in"
# then it is a template for a Makefile;  to generate the actual Makefile,
# run "./configure", which is a configuration script generated by the
# "autoconf" program (constructs like "@foo@" will get replaced in the
# actual Makefile.
#

PACKAGE = wcs
VERSION = 3.6.6

DISTNAME = wcs-${VERSION}
DISTDIR = ../export/${DISTNAME}
FTPDIR	= ../ftp

#----------------------------------------------------------------
# Things you can change to personalize the Makefile for your own
# site (you can make these changes in either Makefile.in or
# Makefile, but changes to Makefile will get lost if you re-run
# the configuration script).
#----------------------------------------------------------------

# Default top-level directories in which to install architecture-
# specific files (exec_prefix) and machine-independent files such
# as scripts (prefix).  The values specified here may be overridden
# at configure-time with the --exec-prefix and --prefix options
# to the "configure" script.

prefix =		/home/eric
exec_prefix =		${prefix}

# The following definition can be set to non-null for special systems
# like AFS with replication.  It allows the pathnames used for installation
# to be different than those used for actually reference files at
# run-time.  INSTALL_ROOT is prepended to $prefix and $exec_prefix
# when installing files.
INSTALL_ROOT =

# Directory in which to install the .a or .so binary for the WCS library:
LIB_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/lib

# Directory in which to install the program wish:
BIN_INSTALL_DIR =	$(INSTALL_ROOT)$(exec_prefix)/bin

# Directory in which to install the include file wcs.h:
INCLUDE_INSTALL_DIR =	$(INSTALL_ROOT)$(prefix)/include

# To change the compiler switches, for example to change from -O
# to -g, change the following line:
CFLAGS = 		-g -W -Wall -Wno-implicit-int -fPIC

# To add ld switches, change the following line:
LDFLAGS =		-g -rdynamic

# Some versions of make, like SGI's, use the following variable to
# determine which shell to use for executing commands:
SHELL =			/bin/sh

# extra modules added by configure.in to fix OS bugs
EXTRA_OBJS = 		

# There are just too many different versions of "install" around;
# better to use the install-sh script that comes with the distribution,
# which is slower but guaranteed to work.

INSTALL = 		./install-sh -c
INSTALL_PROGRAM =	${INSTALL}
INSTALL_DATA =		${INSTALL} -m 644

#----------------------------------------------------------------
# The information below is modified by the configure script when
# Makefile is generated from Makefile.in.  You shouldn't normally
# modify any of this stuff by hand.
#----------------------------------------------------------------

AC_FLAGS =		-DHAVE_CONFIG_H
RANLIB =		ranlib

#----------------------------------------------------------------
# The information below should be usable as is.  The configure
# script won't modify it and you shouldn't need to modify it
# either.
#----------------------------------------------------------------

CC =		gcc

CC_SWITCHES =	-I. ${CFLAGS} -DWCS_VERSION="\"$(VERSION)\"" ${AC_FLAGS}

DEPEND_SWITCHES = -I. ${CFLAGS} ${AC_FLAGS}

SRCS =  wcsinit.c wcs.c wcscon.c fitsfile.c imhfile.c fileutil.c \
	hget.c hput.c iget.c imio.c worldpos.c tnxpos.c dsspos.c platepos.c \
        wcslib.c lin.c cel.c proj.c sph.c wcstrig.c dateutil.c distort.c

OBJS =  wcsinit.o wcs.o wcscon.o fitsfile.o imhfile.o fileutil.o \
	hget.o hput.o iget.o imio.o worldpos.o tnxpos.o dsspos.o platepos.o \
        wcslib.o lin.o cel.o proj.o sph.o wcstrig.o dateutil.o distort.o

# these are all the modules going into the "normal" wcs library
LIBOBJS =	${OBJS}

# whether to build library at all
WHICHLIB =	lib
EXTLIB =	

# the default library for this package
DEFLIB =	libwcs.a
# the actual library we are building (if this is a subpackage)
LIB =		/proj/rd/eric/funtools-1.4.4/libfuntools.a

PROGS =

TESTPROGS =

all:		$(WHICHLIB) $(PROGS)

testall:	$(TESTPROGS)

All:		all testall

install:	install-binaries

extlib:
		@echo "No build needed -- using external WCS library: $(EXTLIB)"

lib:		$(LIBOBJS)
		ar cruv $(LIB) $(LIBOBJS)
		$(RANLIB) $(LIB)

# Note: before running ranlib below, must cd to target directory because
# some ranlibs write to current directory, and this might not always be
# possible (e.g. if installing as root).

install-binaries: $(LIB) $(PROGS)
	@for i in $(LIB_INSTALL_DIR) $(INCLUDE_INSTALL_DIR) $(BIN_INSTALL_DIR) ; \
	    do \
	    if [ ! -d $$i ] ; then \
		echo "Making directory $$i"; \
		mkdir $$i; \
		chmod 755 $$i; \
		else true; \
		fi; \
	    done;
	@if [ "$(LIB)" = "$(DEFLIB)" ] ; then \
	    XLIB=`basename $(LIB)`; \
	    echo "Installing $$XLIB"; \
	    $(INSTALL_DATA) $$XLIB $(LIB_INSTALL_DIR)/$$XLIB; \
	    (cd $(LIB_INSTALL_DIR); $(RANLIB) $$XLIB); \
	    chmod 555 $(LIB_INSTALL_DIR)/$$XLIB; \
        fi;
	@echo "Installing fitshead.h"
	@$(INSTALL_DATA) fitshead.h $(INCLUDE_INSTALL_DIR)/fitshead.h
	@echo "Installing wcs.h"
	@$(INSTALL_DATA) wcs.h $(INCLUDE_INSTALL_DIR)/wcs.h
	@echo "Installing wcslib.h"
	@$(INSTALL_DATA) wcslib.h $(INCLUDE_INSTALL_DIR)/wcslib.h

Makefile:	Makefile.in
		$(SHELL) config.status

RM =		rm -f

clean:
		$(RM) *.a *.so *.o *.exe core errs *pure* .nfs* \
			foo* *~ *.log \#* TAGS *.E a.out errors \
			$(PROGS) $(TESTPROGS) \
			gmon.out *.pg *.bak \
			config.info config.log \
			doc/*~
		$(RM) -r autom4te.cache

distclean:	clean
		$(RM) Makefile config.status config.cache config.log

depend:
		makedepend -- $(DEPEND_SWITCHES) -- $(SRCS)


.c.o:
		$(CC) -c $(CC_SWITCHES) $<

cel.o:		wcslib.h
distort.o:	wcs.h fitshead.h wcslib.h
fitsfile.o:	fitsfile.h fitshead.h
hget.o:		fitshead.h
hput.o:		fitshead.h
iget.o:		fitshead.h
imhfile.o:	fitsfile.h fitshead.h
imio.o:		fitshead.h
lin.o:		wcslib.h
platepos.o:	wcs.h fitshead.h wcslib.h
proj.o:		wcslib.h
sph.o:		wcslib.h
tnxpos.o:	wcs.h fitshead.h wcslib.h
wcs.o:		wcs.h fitshead.h wcslib.h
wcsinit.o:	wcs.h fitshead.h wcslib.h
wcscon.o:	wcs.h fitshead.h wcslib.h
wcslib.o:	wcslib.h
wcstrig.o:	wcslib.h
worldpos.o:	wcs.h fitshead.h wcslib.h
dateutil.o:	fitsfile.h fitshead.h
fileutil.o:	fitsfile.h

# DO NOT DELETE THIS LINE -- make depend depends on it.

=== debian/changelog ===
funtools (1.4.4-6) unstable; urgency=low

  * update config.{sub,guess} for the AArch64 port. Closes: #727381

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 27 Oct 2013 18:02:49 +0100

funtools (1.4.4-5) unstable; urgency=low

  * Enable multiarch for library (not for tcl yet).

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 29 Sep 2013 15:15:17 +0200

funtools (1.4.4-4) unstable; urgency=low

  * Check command line input for funjoin and funimage. Closes: #715928, #715929
  * Push standards version. No changes needed.
  * Use hardening flags.
  * Remove now-unneeded DMUA flag.

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 22 Jul 2013 22:03:24 +0200

funtools (1.4.4-3) unstable; urgency=low

  * Update ds9 patches from version 7.0
  * Set DM-Upload-Allowed: yes

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 10 Jun 2012 10:00:00 +0200

funtools (1.4.4-2) unstable; urgency=low

  * Add dependency of libwcstools-dev to libfuntools-dev
  * Build on HURD and GNU/KFreeBSD
  * Update copyright and policy versions
  * Allow to include funtools/funtools.h without -I/usr/include/funtools

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 10 Apr 2012 16:30:00 +0200

funtools (1.4.4-1) unstable; urgency=low

  * Initial release. (Closes: #655653)

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 06 Feb 2012 09:20:00 +0100

=== debian/control ===
Source: funtools
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               gawk,
               libwcstools-dev,
               tcl-dev,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: https://www.cfa.harvard.edu/~john/funtools/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/funtools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/funtools.git

Package: funtools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Minimal buy-in FITS utility package
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This package contains the tools.

Package: libfuntools1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Minimal buy-in FITS library
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This library contains the shared library.

Package: libfuntools-dev
Section: libdevel
Architecture: any
Depends: libfuntools1 (= ${binary:Version}), libwcstools-dev, ${misc:Depends}
Description: Minimal buy-in FITS library (development files)
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This package contains the development files.

Package: tcl-funtools
Section: interpreters
Architecture: any
Depends: libfuntools1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Minimal buy-in FITS library (Tcl interface)
 Funtools, is a "minimal buy-in" FITS library and utility package developed at
 the High Energy Astrophysics Division of SAO. The Funtools library
 provides simplified access to a wide array of file types: standard
 astronomical FITS images and binary tables, raw arrays and binary event
 lists, and even tables of ASCII column data. A sophisticated region filtering
 library (compatible with ds9) filters images and tables using boolean
 operations between geometric shapes, support world coordinates, etc. Funtools
 also supports advanced capabilities such as optimized data searching using
 index files.
 .
 This package contains the Tcl interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf,autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --with-zlib=-lz --with-wcslib=-lwcstools  --with-tcl=/usr/lib --enable-dl

override_dh_auto_build: 
	dh_auto_build -- all shtclfun

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.html

override_dh_makeshlibs:
	dh_makeshlibs -Xlibtclfun.so

=== debian/watch ===
version=3
http://cfa-www.harvard.edu/~john/funtools .+funtools-(.+)\.tar\.gz
